{[project]}

{[project]} project metrics.

# Code Coverage

aims to have complete function/branch/line coverage for the core C code in /src.

Function/line coverage is complete with no exceptions.

Branch coverage excludes branches inside macros and `assert()` calls. Macros have their own unit tests so they do not need to be tested everywhere they appear. Asserts are not expected to have complete branch coverage since they test cases that should always be true.

Directory
Functions
Branches
Lines
&metricCoverageReport;

The C unit test modules in /test/src/module also have complete function/line coverage but are not included in the report.